Package org.eclipse.mat.query.registry

## Class AnnotatedObjectArgumentsSet

- java.lang.Object
- - org.eclipse.mat.query.registry.AnnotatedObjectArgumentsSet

    public class AnnotatedObjectArgumentsSet
    extends java.lang.Object

Container class for annotated objects and arguments. Holds information about an annotated object (e.g. a query) and all its parameters and the current values of the arguments.

### Constructor Summary

Constructors
`AnnotatedObjectArgumentsSet​(IAnnotatedObjectDescriptor descriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getArgumentValue​(ArgumentDescriptor desc)`
`IAnnotatedObjectDescriptor` `getDescriptor()`
`java.util.Map<ArgumentDescriptor,​java.lang.Object>` `getValues()`
`boolean` `isExecutable()` Are all the required arguments set explicitly or with a default value?
`void` `removeArgumentValue​(ArgumentDescriptor arg)`
`void` `setArgumentValue​(ArgumentDescriptor arg, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotatedObjectArgumentsSet

    public AnnotatedObjectArgumentsSet​(IAnnotatedObjectDescriptor descriptor)

### Method Detail

#### setArgumentValue

    public void setArgumentValue​(ArgumentDescriptor arg,
                                 java.lang.Object value)

#### isExecutable

    public boolean isExecutable()

Are all the required arguments set explicitly or with a default value?

Returns:
  true if the query is read to go

#### removeArgumentValue

    public void removeArgumentValue​(ArgumentDescriptor arg)

#### getArgumentValue

    public java.lang.Object getArgumentValue​(ArgumentDescriptor desc)

#### getDescriptor

    public IAnnotatedObjectDescriptor getDescriptor()

#### getValues

    public java.util.Map<ArgumentDescriptor,​java.lang.Object> getValues()